﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample047 : Form
    {
        public FrmSample047()
        {
            InitializeComponent();
        }

        private void btnDo_Click(object sender, EventArgs e)
        {
            var employees = new List<OOP.Employee>
            {
                new OOP.Employee("Amir","Developer",4000),
                new OOP.Employee("Hasan","DB Admin",5000),
                new OOP.Employee("Hossein","Analyst",6000),
                new OOP.Employee("Ahmad","Developer",7000),
                new OOP.Employee("Sina","Developer",6000),
                new OOP.Employee("Reza","Developer",6500),
                new OOP.Employee("Hesam","Developer",7300),
                new OOP.Employee("Mina","Developer",7500),
                new OOP.Employee("Mona","Analyst",7400),
                new OOP.Employee("Maryam","Analyst",7300),
                new OOP.Employee("Tina","DB Admin",8100),
            };

            var groups =
                from emp in employees
                group new { emp.Name , emp.Salary} by emp.Title into category
                select new
                {
                    categoryName = category.Key,
                    ItemsCount = category.Count(),
                    Items = category
                };

            foreach (var group in groups)
            {
                lblResult.Text += group.categoryName + "(" + group.ItemsCount + ")" + "\n";

                foreach (var item in group.Items)
                {
                    lblResult.Text += item.Name + "     " + item.Salary + "\n";
                }
                lblResult.Text += "\n\n";
            }




        }




    }
}
